Name:           perl-Text-CSV_XS
Version:        1.25
Release:        1%{?dist}
Summary:        Comma-separated values manipulation routines
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Text-CSV_XS/
Source0:        http://www.cpan.org/authors/id/H/HM/HMBRAND/Text-CSV_XS-%{version}.tgz
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(charnames)
BuildRequires:  perl(Config)
# Specific version ≥ 2.78 for Encode is recommended but not required
BuildRequires:  perl(Encode)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Scalar)
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
# IO::Handle is loaded by XS code
Requires:       perl(IO::Handle)

%{?perl_default_filter}

%description
Text::CSV provides facilities for the composition and decomposition of
comma-separated values.  An instance of the Text::CSV class can combine
fields into a CSV string and parse a CSV string into fields.

%prep
%setup -q -n Text-CSV_XS-%{version}

chmod -c a-x examples/*

# Upstream does this on purpose (2011-03-23):
# "As Text::CSV_XS is so low-level, most of these files are actually *examples*
# and not ready-to-run out-of-the-box scripts that work as expected, though
# I must admit that some have evolved into being like that."
#find . -type f -exec sed -i '1s/pro/usr/' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=true NO_PERLLOCAL=true
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make %{?_smp_mflags} test

%files
%doc ChangeLog CONTRIBUTING.md README examples/
%{perl_vendorarch}/Text/
%{perl_vendorarch}/auto/Text/
%{_mandir}/man3/Text::CSV_XS.3*

%changelog
* Mon Aug 29 2016 Paul Howarth <paul@city-fan.org> - 1.25-1
- Update to 1.25
  - Allow lc, uc, and coderef for csv() headers attribute
  - Document for eof when the last line has an error (CPAN RT#115954)
  - Allow csv() to call header() with all supported arguments
  - Add some docs for bind_columns

* Sat Jul  9 2016 Paul Howarth <paul@city-fan.org> - 1.24-1
- Update to 1.24
  - Fix typo in docs example code (GH#4)
  - Set auto-wrap on for csv2xls with embedded newlines
  - Add examples/csv2xlsx, the MSExcel-2007+ version of csv2xls; includes new
    feature to merge multiple CSV's into a single xlsx
  - Slight modification in examples
  - Fix parse error in complex option combo (CPAN RT#115953)
- BR: perl-generators

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.23-2
- Perl 5.24 rebuild

* Sat Mar 26 2016 Paul Howarth <paul@city-fan.org> - 1.23-1
- Update to 1.23
  - Skip unsupported encodings
  - Reorganize Unicode section and mention layers
  - Amend some UTF-8 tests for PERL_UNICODE settings
  - Fix crash on error in parsing with bound columns (CPAN RT#113279)
  - Add predefined filters (not_blank, not_empty, filled)

* Wed Feb 24 2016 Paul Howarth <paul@city-fan.org> - 1.22-1
- Update to 1.22
  - Small doc updates regarding blank_is_undef
  - Precedence error in doc
  - Add new method header

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan  6 2016 Paul Howarth <paul@city-fan.org> - 1.21-1
- Update to 1.21
  - Clarify documentation (CPAN RT#110941)
  - Alias %%_ to row in hashref mode for csv function attributes on_in and
    before_out
  - Examples now use defined-or and thus require perl-5.10 or up
  - Fix \r\n ending with allow_loose_escapes

* Fri Oct  9 2015 Paul Howarth <paul@city-fan.org> - 1.20-1
- Update to 1.20
  - Use "say" in synopsis
  - Remove needless special characters in doc section
  - Change doc =item attributes for new to =head for index
  - Add known_attributes function/method
  - Add contributor notes
  - Allow undef as value for aliased attributes
- Explicitly BR: perl-devel, needed for EXTERN.h

* Wed Jun 17 2015 Paul Howarth <paul@city-fan.org> - 1.19-1
- Update to 1.19
  - Guard tests against $PERL_UNICODE
  - Numeric options were sometimes interpreted as boolean
  - Safer meta_info use

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.18-2
- Perl 5.22 rebuild

* Sun May 24 2015 Paul Howarth <paul@city-fan.org> - 1.18-1
- Update to 1.18
  - Add quote_empty attribute
  - Add database NULL documentation
  - Inherit csv attributes in csv() when called in void context
  - Micro-optimisation for combine/print (empty fields will be faster)

* Sun Apr 26 2015 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17
  - Enable overruling $csv in csv()
  - Allow encoding to be shortened to enc in csv()
  - Allow filter to alter content
  - Add say (print with default eol => $\)
  - Allow MS sep=; on first line (CPAN RT#100304)

* Mon Mar  2 2015 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16:
  - filter made more useful (access to other fields)

* Wed Feb 11 2015 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15:
  - Remove perl recommendation from META as it breaks cpan clients

* Mon Feb  2 2015 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14:
  - Move to github
  - Add csv (filter => {});
  - Change csv ()'s void context behavior

* Mon Jan  5 2015 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13:
  - Simplify code path for old perl
  - Fix quote_binary (CPAN RT#100676)
  - Fix csv() for hashrefs with aliased headers
  - Update copyright to 2015
- Drop upstreamed UTF8 patch

* Sun Nov 16 2014 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12:
  - Add field number to error_diag
  - Fixed non-IO parsing multi-byte EOL
  - Fixed a possible missed multi-byte EOL
  - Allow hashref for csv()'s headers attribute
  - Allow encoding on all output handles in csv()
  - Include doc changes as ticketed in the Text::CSV queue
  - Fix parallel testing issue
  - Allow csv as method call (not using the object)
  - Rename quote_null to escape_null
  - Give meaning to keep_meta_info on output
- Add patch to recode documentation as UTF8

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-2
- Perl 5.20 rebuild

* Wed Aug 20 2014 Petr Šabata <contyk@redhat.com> - 1.11-1
- 1.11 bump

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Aug 09 2014 Petr Šabata <contyk@redhat.com> - 1.10-1
- 1.10 bump

* Thu Jun 12 2014 Petr Šabata <contyk@redhat.com> - 1.09-1
- 1.09 bugfix bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Petr Šabata <contyk@redhat.com> - 1.08-1
- 1.08 bump

* Wed Apr 30 2014 Petr Šabata <contyk@redhat.com> - 1.07-1
- 1.07 bump

* Mon Apr 28 2014 Petr Šabata <contyk@redhat.com> - 1.06-1
- 1.06 bump

* Tue Mar 18 2014 Petr Šabata <contyk@redhat.com> - 1.05-1
- 1.05 bump

* Tue Feb 25 2014 Petr Šabata <contyk@redhat.com> - 1.04-1
- 1.04 bump

* Tue Jan 28 2014 Petr Šabata <contyk@redhat.com> - 1.03-1
- 1.03 bump

* Wed Nov 20 2013 Petr Šabata <contyk@redhat.com> - 1.02-1
- 1.02 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 1.01-3
- Perl 5.18 rebuild

* Fri Jul 19 2013 Petr Pisar <ppisar@redhat.com> - 1.01-2
- Perl 5.18 rebuild

* Thu Jun 20 2013 Petr Šabata <contyk@redhat.com> - 1.01-1
- 1.01 bump

* Fri Jun 14 2013 Petr Šabata <contyk@redhat.com> - 1.00-1
- 1.00 bugfix bump

* Tue Jun 11 2013 Petr Šabata <contyk@redhat.com> - 0.99-1
- 0.99 bump

* Mon Jun 10 2013 Petr Šabata <contyk@redhat.com> - 0.98-1
- 0.98 bump

* Tue Apr 02 2013 Petr Šabata <contyk@redhat.com> - 0.97-1
- 0.97 bump, performance enhancement

* Wed Mar 27 2013 Petr Šabata <contyk@redhat.com> - 0.96-1
- 0.96 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 14 2013 Petr Pisar <ppisar@redhat.com> - 0.95-1
- 0.95 bump

* Tue Dec 04 2012 Petr Pisar <ppisar@redhat.com> - 0.94-1
- 0.94 bump

* Wed Nov 21 2012 Petr Pisar <ppisar@redhat.com> - 0.93-1
- 0.93 bump

* Wed Nov 14 2012 Petr Pisar <ppisar@redhat.com> - 0.92-1
- 0.92 bump

* Mon Nov 05 2012 Petr Pisar <ppisar@redhat.com> - 0.91-2
- Correct dependencies

* Wed Aug 22 2012 Petr Šabata <contyk@redhat.com> - 0.91-1
- 0.91 bump (mostly test-cases updates)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Petr Pisar <ppisar@redhat.com> - 0.90-2
- Perl 5.16 rebuild

* Tue Jun 19 2012 Petr Šabata <contyk@redhat.com> - 0.90-1
- 0.90 bump

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.88-2
- Perl 5.16 rebuild

* Mon Mar 19 2012 Petr Pisar <ppisar@redhat.com> - 0.88-1
- 0.88 bump
- Fix parsing fields that contain excessive $/

* Wed Mar 14 2012 Petr Šabata <contyk@redhat.com> - 0.87-1
- 0.87 bump
- Remove command macros and defattr

* Tue Jan 24 2012 Marcela Mašláňová <mmaslano@redhat.com> - 0.86-1
- update to 0.86

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 08 2011 Petr Sabata <contyk@redhat.com> - 0.85-1
- 0.85 bump

* Mon Aug 08 2011 Petr Sabata <contyk@redhat.com> - 0.83a-1
- 0.83a bump

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.82-2
- Perl mass rebuild

* Mon May  9 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.82-1
- update to 0.82

* Wed Mar 23 2011 Petr Sabata <psabata@redhat.com> - 0.81-2
- Revert example scripts interpreter changes

* Wed Mar 23 2011 Petr Sabata <psabata@redhat.com> - 0.81-1
- 0.81 version bump
- Changed script interpreters in various example files
- Convert ChangeLog to proper UTF8
- Removed buildroot garbage

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Petr Sabata <psabata@redhat.com> - 0.80-1
- 0.80 version bump

* Thu Dec  2 2010 Petr Sabata <psabata@redhat.com> - 0.79-1
- 0.79 version bump

* Mon Oct 18 2010 Petr Sabata <psabata@redhat.com> - 0.76-1
- 0.76 version bump

* Mon Oct 11 2010 Petr Sabata <psabata@redhat.com> - 0.75-1
- 0.75 version bump

* Mon Oct 04 2010 Petr Pisar <ppisar@redhat.com> - 0.74-1
- 0.74 bump

* Wed Sep 08 2010 Petr Pisar <ppisar@redhat.com> - 0.73-1
- 0.73 bump

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.72-2
- Mass rebuild with perl-5.12.0

* Wed Mar 17 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.72-1
- PERL_INSTALL_ROOT => DESTDIR, add perl_default_filter (XS module)
- auto-update to 0.72 (by cpan-spec-update 0.01) (DBIx::Class needed a newer
  Text::CSV, which in turn can only leverage Text::CSV_XS >= 0.70)
- added a new br on perl(ExtUtils::MakeMaker) (version 0)
- added a new br on perl(IO::Handle) (version 0)
- added a new br on perl(Test::Harness) (version 0)
- added a new br on perl(Test::More) (version 0)
- added a new br on perl(Tie::Scalar) (version 0)

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.69-2
- rebuild against perl 5.10.1

* Mon Nov  2 2009 Stepan Kasal <skasal@redhat.com> - 0.69
- new upstream release

* Wed Oct  7 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.68-1
- update to new upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.58-1
- Update to latest upstream
- SvUPGRADE patch upstreamed

* Tue Jul 08 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.52-2
- Actually solving the issue mentioned in previous change

* Tue Jul 08 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.52-1
- Updated to 0.52 to solve an issue with perl 5.10

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.30-5
- Rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.30-4
- Autorebuild for GCC 4.3

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.30-3
- rebuild for new perl

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.30-2
- Rebuild for selinux ppc32 issue.

* Sat Jun 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.30-1
- Update to 0.30.

* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.29-1
- Update to 0.29.

* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.27-1
- Update to 0.27.
- New upstream maintainer.

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-5
- Rebuild for FC6.

* Wed Feb 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-4
- Rebuild for FC5 (perl 5.8.8).

* Wed Feb 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-3
- The wonders of CVS problems (released skipped).

* Thu Jan  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-2
- Build section: simplified RPM_OPT_FLAGS handling (#175898).

* Sat Nov 05 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-1
- First build.
